Bug 534589 - (RHQ-1371) adding a favorite results in an exception in the log
adding a favorite results in an exception in the log
Status: CLOSED NEXTRELEASE
Product: RHQ Project
Classification: Other
Component: No Component (Show other bugs)
unspecified
All All
low Severity medium (vote)
: ---
: ---
Assigned To: Greg Hinkle
http://jira.rhq-project.org/browse/RH...
: SubTask
Depends On:
Blocks: RHQ-1267
  Show dependency treegraph
 
Reported: 2009-01-16 12:51 EST by Charles Crouch
Modified: 2015-02-01 18:24 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Charles Crouch 2009-01-16 12:51:00 EST

    
Comment 1 Charles Crouch 2009-01-16 12:51:23 EST
Click on the big star and get the following in the logs

[STDERR] Jan 16, 2009 12:49:33 PM javax.faces.component.UIInput updateModel SEVERE: /rhq/resource/layout/summary.xhtml @180,78 value="${ResourceUIBean.favorite}": Error writing 'favorite' on type org.rhq.enterprise.gui.inventory.resource.ResourceUIBean java.lang.IllegalStateException: Required request parameter 'mode' is missing. at org.rhq.core.gui.util.FacesContextUtility.getRequiredRequestParameter(FacesContextUtility.java:104) at org.rhq.core.gui.util.FacesContextUtility.getRequiredRequestParameter(FacesContextUtility.java:96) at org.rhq.enterprise.gui.inventory.resource.ResourceUIBean.setFavorite(ResourceUIBean.java:196) at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39) at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25) at java.lang.reflect.Method.invoke(Method.java:597) at javax.el.BeanELResolver.setValue(BeanELResolver.java:108) at javax.el.CompositeELResolver.setValue(CompositeELResolver.java:68) at com.sun.faces.el.FacesCompositeELResolver.setValue(FacesCompositeELResolver.java:101) at org.apache.el.parser.AstValue.setValue(AstValue.java:114) at org.apache.el.ValueExpressionImpl.setValue(ValueExpressionImpl.java:249) at com.sun.facelets.el.TagValueExpression.setValue(TagValueExpression.java:93) at javax.faces.component.UIInput.updateModel(UIInput.java:771) at javax.faces.component.UIInput.processUpdates(UIInput.java:703) at org.ajax4jsf.component.UIAjaxForm.processUpdates(UIAjaxForm.java:98) at javax.faces.component.UIComponentBase.processUpdates(UIComponentBase.java:1069) at javax.faces.component.UIComponentBase.processUpdates(UIComponentBase.java:1069) at javax.faces.component.UIComponentBase.processUpdates(UIComponentBase.java:1069) at javax.faces.component.UIComponentBase.processUpdates(UIComponentBase.java:1069) at javax.faces.component.UIComponentBase.processUpdates(UIComponentBase.java:1069) at javax.faces.component.UIComponentBase.processUpdates(UIComponentBase.java:1069) at org.richfaces.component.UISimpleTogglePanel.processUpdates(UISimpleTogglePanel.java:169) at javax.faces.component.UIForm.processUpdates(UIForm.java:261) at org.ajax4jsf.component.AjaxViewRoot$2.invokeContextCallback(AjaxViewRoot.java:416) at org.ajax4jsf.component.AjaxViewRoot.processPhase(AjaxViewRoot.java:238) at org.ajax4jsf.component.AjaxViewRoot.processUpdates(AjaxViewRoot.java:432) at com.sun.faces.lifecycle.UpdateModelValuesPhase.execute(UpdateModelValuesPhase.java:78) at com.sun.faces.lifecycle.Phase.doPhase(Phase.java:100) at com.sun.faces.lifecycle.LifecycleImpl.execute(LifecycleImpl.java:118) at javax.faces.webapp.FacesServlet.service(FacesServlet.java:265) at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:290) at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206) at org.ajax4jsf.webapp.BaseXMLFilter.doXmlFilter(BaseXMLFilter.java:177) at org.ajax4jsf.webapp.BaseFilter.handleRequest(BaseFilter.java:267) at org.ajax4jsf.webapp.BaseFilter.processUploadsAndHandleRequest(BaseFilter.java:380) at org.ajax4jsf.webapp.BaseFilter.doFilter(BaseFilter.java:507) at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:235) at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206) at org.rhq.enterprise.gui.legacy.AuthenticationFilter.doFilter(AuthenticationFilter.java:129) at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:235) at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206) at org.rhq.enterprise.gui.common.upload.MultipartFilter.doFilter(MultipartFilter.java:63) at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:235) at org.apache.catalina.core.ApplicationFilterChain.doFilter(Ap
Comment 2 Charles Crouch 2009-01-16 13:39:18 EST
I guess this is the least of the problems. Favorite status doesn't stick and I never see anything in the Favorites portlet.
Comment 3 Greg Hinkle 2009-02-03 17:27:22 EST
This has been fixed. Favorites should now display and persist properly
Comment 4 Red Hat Bugzilla 2009-11-10 15:31:31 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-1371

Note You need to log in before you can comment on or make changes to this bug.